## shortcutd 0.0.1

=== Makefile ===
all: shortcutd

CFLAGS=`pkg-config --cflags dbus-1 hal x11 xtst xi`
LIBS=`pkg-config --libs dbus-1 hal x11 xtst xi`


shortcutd: shortcutd.o proximity.o camkey.o config.o json/JSON_parser.o
	g++ -o shortcutd -Wall $(LIBS) shortcutd.o proximity.o camkey.o config.o json/JSON_parser.o

shortcutd.o: shortcutd.cpp shortcutd.h proximity.h camkey.h
	g++ -o shortcutd.o -Wall $(CFLAGS) -c shortcutd.cpp

proximity.o: proximity.cpp proximity.h
	g++ -o proximity.o -Wall $(CFLAGS) -c proximity.cpp

camkey.o: camkey.cpp camkey.h shortcutd.h
	g++ -o camkey.o -Wall $(CFLAGS) -c camkey.cpp

config.o: config.cpp config.h shortcutd.h camkey.h proximity.h 
	g++ -o config.o -Wall $(CFLAGS) -c config.cpp

json/JSON_parser.o: json/JSON_parser.c json/JSON_parser.h
	g++ -o json/JSON_parser.o -Wall $(CFLAGS) -c json/JSON_parser.c

clean:
	rm -f *.o *~ shortcutd

=== debian/changelog ===
shortcutd (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Arek Stopczynski <arek.stopczynski@gmail.com>  Sun, 03 Jan 2010 20:35:52 +0100
   

=== debian/control ===
Source: shortcutd
Section: user/system
Priority: optional
Maintainer: Heikki Holstila <heikki.holstila@gmail.com>
Uploaders: Arek Stopczynski <arek.stopczynski@gmail.com>
Build-Depends: debhelper (>= 5), libdbus-1-dev, libhal-dev, libx11-dev, libxtst-dev, libxi-dev
Standards-Version: 3.7.2

Package: shortcutd
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, proximityd (>= 0.2.1)
Description: Enables the proximity sensor and camera button to be used as shortcuts
 Allows the camera button (focus) and proximity sensor (short and
 long touch) to be used to access dashboard and phone application.
 Useful with fullscreen applications and to quickly access phone.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/shortcutd.sgml > shortcutd.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/shortcutd.
	#$(MAKE) DESTDIR=$(CURDIR)/debian/shortcutd install
	install -D ./shortcutd $(CURDIR)/debian/shortcutd/usr/sbin/shortcutd
	install -D ./debian/event $(CURDIR)/debian/shortcutd/etc/event.d/shortcutd
	install -D ./debian/config $(CURDIR)/debian/shortcutd/tmp/shortcutd/config
	chmod -x $(CURDIR)/debian/shortcutd/etc/event.d/shortcutd

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit -n
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## shortcutd 0.0.2

=== Makefile ===
all: shortcutd

CFLAGS=`pkg-config --cflags dbus-glib-1 glib-2.0 hal x11 xtst xi`
LIBS=`pkg-config --libs dbus-glib-1 glib-2.0 hal x11 xtst xi`


shortcutd: shortcutd.o proximity.o camkey.o config.o json/JSON_parser.o
	g++ -o shortcutd -Wall $(LIBS) shortcutd.o proximity.o camkey.o config.o json/JSON_parser.o

shortcutd.o: shortcutd.cpp shortcutd.h proximity.h camkey.h config.h
	g++ -o shortcutd.o -Wall $(CFLAGS) -c shortcutd.cpp

proximity.o: proximity.cpp proximity.h
	g++ -o proximity.o -Wall $(CFLAGS) -c proximity.cpp

camkey.o: camkey.cpp camkey.h shortcutd.h
	g++ -o camkey.o -Wall $(CFLAGS) -c camkey.cpp

config.o: config.cpp config.h shortcutd.h camkey.h proximity.h
	g++ -o config.o -Wall $(CFLAGS) -c config.cpp

json/JSON_parser.o: json/JSON_parser.c json/JSON_parser.h
	g++ -o json/JSON_parser.o -Wall $(CFLAGS) -c json/JSON_parser.c

clean:
	rm -f *.o *~ shortcutd

=== debian/changelog ===
shortcutd (0.0.2) unstable; urgency=low

  * Reduced battery usage

 -- Heikki Holstila <heikki.holstila@gmail.com>  Wed,  6 Jan 2010 23:25:00 +0200

=== debian/control ===
Source: shortcutd
Section: user/system
Priority: optional
Maintainer: Arek Stopczynski <arek.stopczynski@gmail.com>
Uploaders: Heikki Holstila <heikki.holstila@gmail.com>
Build-Depends: debhelper (>= 5), libdbus-glib-1-dev, libglib2.0-dev, libhal-dev, libx11-dev, libxtst-dev, libxi-dev
Standards-Version: 3.7.2

Package: shortcutd
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, proximityd (>= 0.2.1)
Conflicts: camkeyd
Replaces: camkeyd
Description: Enables the proximity sensor and camera button to be used as shortcuts
 Allows the camera button (focus) and proximity sensor (short and
 long touch) to be used to access dashboard and phone application.
 Useful with fullscreen applications and to quickly access phone.

=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,6 @@
 	#$(MAKE) DESTDIR=$(CURDIR)/debian/shortcutd install
 	install -D ./shortcutd $(CURDIR)/debian/shortcutd/usr/sbin/shortcutd
 	install -D ./debian/event $(CURDIR)/debian/shortcutd/etc/event.d/shortcutd
-	install -D ./debian/config $(CURDIR)/debian/shortcutd/tmp/shortcutd/config
 	chmod -x $(CURDIR)/debian/shortcutd/etc/event.d/shortcutd
 
 # Build architecture-independent files here.

## shortcutd 0.1-1

=== debian/changelog ===
shortcutd (0.1-1) unstable; urgency=low

  * Configuration system added with control panel applet/plugin

 -- Heikki Holstila <heikki.holstila@gmail.com>  Thu, 14 Jan 2010 23:47:42 +0200

shortcutd (0.0.2-1) unstable; urgency=low

  * Reduced battery usage

 -- Heikki Holstila <heikki.holstila@gmail.com>  Wed,  6 Jan 2010 23:25:00 +0200

shortcutd (0.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Arek Stopczynski <arek.stopczynski@gmail.com>  Sun, 03 Jan 2010 20:35:52 +0100
   

## shortcutd 0.1-2

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
-all: shortcutd
+all: shortcutd panelplugin/libshortcutdplugin.so
 
 CFLAGS=`pkg-config --cflags dbus-glib-1 glib-2.0 hal x11 xtst xi`
 LIBS=`pkg-config --libs dbus-glib-1 glib-2.0 hal x11 xtst xi`
+PANEL_DEPS=`pkg-config --libs --cflags gtk+-2.0 hildon-control-panel libosso hildon-1 hal dbus-glib-1 glib-2.0`
 
 
-shortcutd: shortcutd.o proximity.o camkey.o config.o json/JSON_parser.o
-	g++ -o shortcutd -Wall $(LIBS) shortcutd.o proximity.o camkey.o config.o json/JSON_parser.o
+shortcutd: shortcutd.o proximity.o camkey.o config.o json/JSON_parser.o launcher.o
+	g++ -o shortcutd -Wall $(LIBS) shortcutd.o proximity.o camkey.o config.o json/JSON_parser.o launcher.o
 
 shortcutd.o: shortcutd.cpp shortcutd.h proximity.h camkey.h config.h
 	g++ -o shortcutd.o -Wall $(CFLAGS) -c shortcutd.cpp
@@ -22,5 +23,13 @@
 json/JSON_parser.o: json/JSON_parser.c json/JSON_parser.h
 	g++ -o json/JSON_parser.o -Wall $(CFLAGS) -c json/JSON_parser.c
 
+launcher.o: launcher.cpp launcher.h shortcutd.h
+	g++ -o launcher.o -Wall $(CFLAGS) -c launcher.cpp
+
+
+panelplugin/libshortcutdplugin.so: panelplugin/shortcutdplugin.cpp shortcutd.h config.cpp config.h json/JSON_parser.c json/JSON_parser.h
+	g++ -shared -Wall $(PANEL_DEPS) panelplugin/shortcutdplugin.cpp config.cpp json/JSON_parser.c -o panelplugin/libshortcutdplugin.so
+
+
 clean:
-	rm -f *.o *~ shortcutd
+	rm -f *.o *~ shortcutd json/*.o panelplugin/*.o panelplugin/*.so build-stamp configure-stamp

=== debian/changelog ===
shortcutd (0.1-2) unstable; urgency=low

  * Set upstart respawn limit

 -- Heikki Holstila <heikki.holstila@gmail.com>  Mon, 25 Jan 2010 12:57:57 +0200

=== debian/control ===
Source: shortcutd
Section: user/system
Priority: optional
Maintainer: Arek Stopczynski <arek.stopczynski@gmail.com>
Uploaders: Heikki Holstila <heikki.holstila@gmail.com>
Build-Depends: debhelper (>= 5), libdbus-glib-1-dev, libglib2.0-dev, libhal-dev, libx11-dev, libxtst-dev, libxi-dev, libgtk2.0-dev, hildon-control-panel-dev, libosso-dev, libhildon1-dev
Standards-Version: 3.7.2

Package: shortcutd
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}, proximityd (>= 0.2.2)
Conflicts: camkeyd
Replaces: camkeyd
XB-Maemo-Display-Name: Shortcutd
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=shortcutd
Description: Enables the proximity sensor and camera button to be used as shortcuts
 Allows the camera button (focus) and proximity sensor (short and
 long touch) to be used to access dashboard and phone application.
 Useful with fullscreen applications and to quickly access phone.
 Configurable through the device's settings menu.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAK3RFWHRDcmVh
 dGlvbiBUaW1lAFNhIDIzIEphbiAyMDEwIDExOjA5OjIyICswMTAwUqPNdwAA
 AAd0SU1FB9oBGBYZC8PFbHsAAAAJcEhZcwAATiAAAE4gARZ9md4AAAAEZ0FN
 QQAAsY8L/GEFAAANMklEQVR42q1ZB3gVVRb+5/WXSkJCGmgIBDCREgiIZcEG
 a1uMIiuKBV3W9lnZXd1P17V8i+6uu4qfuxaKIoIuFlD8FCxAgoWmSIskQiAh
 CUkIvOTl9Tfl7pmZV+ZNJoUyycmduXPvuf9/77nnnjPh0M+LMTaOiqiMlesk
 Bs7LszKrCcxp4X7SNO8k2U1ST7Ircl9IMlXpL4TG4cDnTnQ2lIAzpaD9F0Dg
 AWsSkDkUGDi8CxmFezGo5AdqX0lSxXFchxEurg/QRVQ8FBRZRZufnXXML6E9
 IKEjxNAVlsBLgEgsRKaWVhNHAjgtQJqNQ2GaGUPTLcj2HwK2LARq1gLeYypY
 hu4C/TMpy6O5mvoIUD5nOVUsJCI/9UmAgGcSnpcbvdItB90SGr0ieFGecRYD
 LFApMQ0BzbtY2bwZ4qa7kRxsRZENmJ1J5Dj0D7xeLA7gsR3fcXmlF2mxWgzA
 X34swNZsbRVSTgQlAqMDp9zrSqqXlPeRukA7xPVzILbuUN6dIDkWBGakEAHz
 SQJX3hNrIQS428x6vAkEaFbv3t4mvl7tEmIz2ecs698FjkNcOQFi2KOQUftD
 acOE/oLnen7fEwE/L91f2cS/Uu+RDGdZigB1UI/BKWbZxgWy+doMOxcICszc
 EZIGBruOnXX8nQloFz04SmD5CHB1heQZ0oIg+7bRknBm9d6ZqVbzYXIBR6mT
 0POK6AmQ2ZRvaORfPNQlJpiFdpZl4L/KtYll2ZalNjO3mjbTFzrTW4mnL7gZ
 yR6AnEmI9Oz00d71Aj/5AdrzYBIBHTdDxIy/7UTuOR9C9U6dBttwKg7vmIzv
 Vl6D71ZY4evsnQBt1LcPuEWrFrDWdMZkWfDrs+3bLSbcQcB/Ntg3N2LZ7Jvh
 aokNZCc5305C3siTDmwz5cL8l8pNGDz8VtLRjN6vbRG9qbhl4WxUvfVnrPpr
 kREBjhpNXFkT3O4KMUPTOZtc4ZyRzq3kIafTwB4D8CY07zmC58oKYrarX/K0
 POBfja9R//twiheNcwMVHv3KW/a7xMePB5nhBk21cphV7BAI/Cwj8JGrAu89
 WAChB/Cyfc//8ke6efRUwSszzXEfGtVbDnUJ54VFKQG4FFmB88+ywWHmllHn
 ph41+ztmovZ76gRj7zJ+BpB/zv2kw3sKsy7v8Kt7adJp8YZZHi8Z+/bBqYrb
 rex1lOqNExV3Y3iS0qrMW/Ilgd96ihN/UZu095MAc8VUawfKMBXB0knugheN
 fDp5OZNyULf1OkTH0WKIMHZ5jlQgecDaUwSvTrHUgjDzaGCz2F8LUmHx84xc
 nNbfxwk0ewUMSrJdSG2/7nGE5tq4f9cfRs4sucW+0yEQkgIIsoAGfKSkX55+
 TA4zAvIKyGYklzKZcOS5oUueWlzZ6whhXiUgb2KtyF27lABy4ukRCCJAJAKS
 Xy1FKkX1OczCMFEYfFQhoCHBKyQkfH80JJ8H59FmuqrHEQYWCipoxEWMlF1u
 wOf+7ekQCLJgIngNGYVApoPbFI4C1wqZUJNHwKeH/LKehUSiwHAER9qeBOBR
 8LKQeeLf8yZS34pTJiCFEJRnnCSogI+XgkygNMs6P93GiVHTUcgohCSl/LDW
 h7pOoZh0bSIgQ7uNMPWmn2ImIxjIZtrDNTte63EC+jIhMZAw60FNGZZoDwwf
 YPWU59reTNgHGqEgDfMrXVh/OCCT2EdAZieMkJq5AanZxuAVoaWcf0Uu+NDb
 1Nd20gRYSAEfrKlHwHU8QkYVXl4BudHM4uS7JufZjuj3QdScfGRP/9jeiX/u
 cCdR/XsE5AuSYZExPsb0uXwi6OhGjpRuOsSvG3YZTrTtpH5DTs6EaA/8ZyMC
 d76LQEObuhKRjaysQMwShjhKJ+XamrqR0Nyv+cWHGWva8NEvvulUtYfALKKu
 BZi34DUkDUz0QHqTOkapZMXIUqxZulfuR3KhEqwZXHI9yRw0N7wWvPYlBFfs
 IlfJlP0Q3wt+ZQU4XUfHyv2+be9Ue8YYng2xw46hIMWCR8rTMb0wSXbSq7H5
 0zl4VI63WB/ZFYmT8oBh5wLFo704a5gbgwqOICuvHpOm+LFzywjs3T4Wq5en
 obYar/ICXDQek/u9cRnY6MyYsrKkS41z4lU13lff2ue51x2SugV4+rz43Cwb
 Hp+cgcn5lLN+RAvy/ANQRjuZtJFxPbZ5URCUlFR5vYjO1NEZsQOtPHlaz18l
 1h70VXzTFFz0dYM/u1ucpAk5lJmhP5cXOvHopEyUbFoGLHhQTcEMwFPgi93y
 vqKyg/pZCUIm3WdTmU5lLhKj2ucpM2tX4gYT2KdEIMMaO48nJ1/V52cV+/rD
 /mf/V+N9ZEtz0JqQYkaAqyajqjSTtutHpOCxgk7kzifX31AXy2+rqONmkhPx
 5ondlZIRIA5D6P5WSjXzOA5P0Qq0JxH4JWPI7JzaYAIXpczonYCGSPryas/C
 d3/23rbveMgUHzGiTEfETq7hnvEZ+MPhNah5YwGWNjTBH1utWDc9/4R7uRxN
 PqYl2472d4rBMiwx4PJLubw49br+EdAQKX7ph47FH9Z4pzS4wxzrDRH9luRU
 Ibd8CUxeipfeOAq2k1KCtjBYmMXMq9sqRMfKsgIP54BNS43POYvdKeWlabNO
 jkD0OhEQRi7d7V60cl/nr9r95DcNiIQCa+HzLUZqGoeJl1uQnMbFB28MgVWH
 KFYhMkeJXIsANpgA51nIy1AiXe5IiP2j4FmMnno/PX32qRGIXo3u8Pmr9rtX
 LNvdUeQKCLFp9HkWE4EPIhuRNqqDQ9k0C9Ky44PrzUELTx82q3fdKOGqAXNO
 j0DErGzfN/rmPftN2yt72gImgd+HLtf90K+KM51IVJhhMjMkm9MxK+PeQ1PS
 ZqwdZM3fsdXz1ZS6UPXUbzyfjaoP7Y/q7U4mYVzgNxm3nz6B6HXczw9/pqpl
 16KqyclMdCe60MiIgydY8NS0J3Fb9h/vpJoVlGryusk4b3HbgneXH3uhiE6g
 +OZOaBRXOSPz9ngocbrXQKfFf/Xkb23Zxe7457iIMEUAz8GHMMX6gNzcqQcv
 X1S37fc5T4x6Y9iG1RYxSfk4FxM+IppnJuHMEaCrYnHz3605JRysdlW5DJpF
 4iIzlwez7Rq8+YOSYl/bkxKZWGly+cwXilYtlhSgTBVBFUHzLIlnlkB2s7+R
 NDJkn0NPgmYV6N7uuFYxo4/2HZPbXtKXsklpF993efrMUBR4DLzm+UwTKA2G
 Q8rsOCkwVY5qGoQJqglZ7WMVAi4fDz8vWvtSRishXJF143c9mY88jvzB+YwR
 2OXeOjg6gDkJ6maTzUdSxWQuIPySIi6/0C+dUwdeuZnRMaPMvsB05oQzuwJD
 k0bWi5FBJCrNFhZbBVl4/7bICc2Ql9bvxKzeLNkS7D4m8jjiGVyBdGtGraQs
 s6pc8ERMSFKF9+9Xdnam00IbmtvbH51BMTjGFwz04I3UPMXSH0X9vDx2JFP6
 6YW/RXWb2rOA9+4mX8swoSBFrtnVH4WVretmyaYT1aG95MVUTOjzA13tgijt
 i3y+Pp2rcoh9GAQK1Fy7Es8B2ZQEXy2E4GHMKcuV237clzLCc/dze54YEl1R
 I2+kbOKnq1qyLll+oPSLuq4PqJNMZFZPuWof14FpORVo3yKBd7F4XhwTqu94
 GtNGyC4KG/sAP3tJ7Suv1nXUGXif6LPqRi3yWhw8EcIdHx/GqIH20jvKst+f
 WZIRIiWrSVcVyWZyaft7GUz2+rd+dcB1z4btVyHYuIDMJ5S41lD/n2sf3Yyx
 qwuwdMoHB6jfYqr6hET+dN9FUkIyLiyF5t5ZOWvSuiNrTQnxj96SIl6Om7To
 Z0ZRJeJxPEMqZSRTzk7DhPxkjM9Ploak2/i8VNumaN8AL5mOdAYHtXnDJbXt
 fuvbP7ZwB4/7FRWB45/A2/Ryos3SfQolVI6ieOiV48zF4JRClGWVi+m2dHbA
 XWtp6DqMmo5q5Usc0wGP3Wqebx31O5lANWvsDEHNrIBuaZLmOTPJDAuleQQ8
 RtYooemqexIh95bYYM5SDo5h0CHR7UuDGYbuPdM1vo0IWOzy/wBYJN7WAjIg
 csLH99lG/kkd+gykX/4EUdwN+yiKjfJVmzWwCEPvogfeE1nZjZq3rngxKTfF
 Op5MwtqpSUr0oHrOxON10Rg+P9WGp2bdjSFj/f69gZ1W2VsogZ2kihQN9CSN
 iOp/+/V1sfYGfcZmj1fzARo4g4qKjYc65+5o8k7ZVNeB6lYf+NinEWZITAt8
 UIoNFxQOwPWjc9ouLc5632rmltHLw7Un9j82d92ch/e277GzqJkazKZ+Vawm
 K24593asq/sMLd4WQ1u6Y8y87gkNgZHrpoYEqejbeveEVk94aps3ZKMgzOoK
 8FZ/WDQPTrcHZSRDBjiCuan28Nj81PWFmU7ZU+0ij7XLQOeAVl/rDa/v/O/c
 r+u/Gu4KunLcwU4IFC8PcGTQyUyZGklOUk7QaXU2VYy47ud54+5aQ10rn6x8
 4pN6d3232EPmMLvkpsb/A5xEMxCzrkTNAAAAAElFTkSuQmCC
 ====

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-
-
+PLUGINDIR=$(shell pkg-config hildon-control-panel --variable=pluginlibdir)
+ICONDIR=/usr/share/icons/hicolor/48x48/apps
+DESKTOPDIR=$(shell pkg-config hildon-control-panel --variable=plugindesktopentrydir)
 
 CFLAGS = -Wall -g
 
@@ -59,6 +60,9 @@
 	#$(MAKE) DESTDIR=$(CURDIR)/debian/shortcutd install
 	install -D ./shortcutd $(CURDIR)/debian/shortcutd/usr/sbin/shortcutd
 	install -D ./debian/event $(CURDIR)/debian/shortcutd/etc/event.d/shortcutd
+	install -D ./panelplugin/shortcutdplugin.desktop $(CURDIR)/debian/shortcutd$(DESKTOPDIR)/shortcutdplugin.desktop
+	install -D ./panelplugin/shortcutd.png $(CURDIR)/debian/shortcutd$(ICONDIR)/shortcutd.png
+	install -D ./panelplugin/libshortcutdplugin.so $(CURDIR)/debian/shortcutd$(PLUGINDIR)/libshortcutdplugin.so
 	chmod -x $(CURDIR)/debian/shortcutd/etc/event.d/shortcutd
 
 # Build architecture-independent files here.

## shortcutd 0.1.1-1

=== debian/changelog ===
shortcutd (0.1.1-1) unstable; urgency=low

  * New configuration options

 -- Heikki Holstila <heikki.holstila@gmail.com>  Tue,  2 Feb 2010 22:11:59 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, proximityd (>= 0.2.2)
 Conflicts: camkeyd
 Replaces: camkeyd
+Homepage: http://shortcutd.garage.maemo.org
 XB-Maemo-Display-Name: Shortcutd
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=shortcutd
 Description: Enables the proximity sensor and camera button to be used as shortcuts
@@ -18,6 +19,7 @@
  long touch) to be used to access dashboard and phone application.
  Useful with fullscreen applications and to quickly access phone.
  Configurable through the device's settings menu.
+XB-Maemo-Upgrade-Description: -New configuration options
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAK3RFWHRDcmVh
  dGlvbiBUaW1lAFNhIDIzIEphbiAyMDEwIDExOjA5OjIyICswMTAwUqPNdwAA

## shortcutd 0.1.1-2

=== debian/changelog ===
shortcutd (0.1.1-2) unstable; urgency=low

  * Corrected homepage field in control file

 -- Heikki Holstila <heikki.holstila@gmail.com>  Tue,  2 Feb 2010 23:25:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Arek Stopczynski <arek.stopczynski@gmail.com>
 Uploaders: Heikki Holstila <heikki.holstila@gmail.com>
+Homepage: http://shortcutd.garage.maemo.org
 Build-Depends: debhelper (>= 5), libdbus-glib-1-dev, libglib2.0-dev, libhal-dev, libx11-dev, libxtst-dev, libxi-dev, libgtk2.0-dev, hildon-control-panel-dev, libosso-dev, libhildon1-dev
 Standards-Version: 3.7.2
 
@@ -11,7 +12,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, proximityd (>= 0.2.2)
 Conflicts: camkeyd
 Replaces: camkeyd
-Homepage: http://shortcutd.garage.maemo.org
 XB-Maemo-Display-Name: Shortcutd
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=shortcutd
 Description: Enables the proximity sensor and camera button to be used as shortcuts

## shortcutd 0.1.1-3

=== debian/changelog ===
shortcutd (0.1.1-3) unstable; urgency=low

  * Uninstall bug fix.

 -- Arek Stopczynski <arek.stopczynski@gmail.com>  Sun, 7 Feb 2010 15:57:57 +0100

=== debian/rules ===
--- 
+++ 
@@ -59,11 +59,12 @@
 	# Add here commands to install the package into debian/shortcutd.
 	#$(MAKE) DESTDIR=$(CURDIR)/debian/shortcutd install
 	install -D ./shortcutd $(CURDIR)/debian/shortcutd/usr/sbin/shortcutd
-	install -D ./debian/event $(CURDIR)/debian/shortcutd/etc/event.d/shortcutd
+	#install -D ./debian/event $(CURDIR)/debian/shortcutd/etc/event.d/shortcutd
+	install -D ./debian/event $(CURDIR)/debian/shortcutd/tmp/shortcutd
 	install -D ./panelplugin/shortcutdplugin.desktop $(CURDIR)/debian/shortcutd$(DESKTOPDIR)/shortcutdplugin.desktop
 	install -D ./panelplugin/shortcutd.png $(CURDIR)/debian/shortcutd$(ICONDIR)/shortcutd.png
 	install -D ./panelplugin/libshortcutdplugin.so $(CURDIR)/debian/shortcutd$(PLUGINDIR)/libshortcutdplugin.so
-	chmod -x $(CURDIR)/debian/shortcutd/etc/event.d/shortcutd
+	#chmod -x $(CURDIR)/debian/shortcutd/etc/event.d/shortcutd
 
 # Build architecture-independent files here.
 binary-indep: build install

## shortcutd 0.1.2-1

=== usermenu/Makefile ===
#############################################################################
# Makefile for building: scd-usermenu
# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Jun 22 13:41:26 2010
# Project:  usermenu.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile usermenu.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cc \
		usermenu.cc moc_usermenu.cpp
OBJECTS       = main.o \
		usermenu.o \
		moc_usermenu.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		usermenu.pro
QMAKE_TARGET  = scd-usermenu
DESTDIR       = 
TARGET        = scd-usermenu

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: usermenu.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile usermenu.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile usermenu.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/scd-usermenu1.0.0 || $(MKDIR) .tmp/scd-usermenu1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/scd-usermenu1.0.0/ && $(COPY_FILE) --parents usermenu.h .tmp/scd-usermenu1.0.0/ && $(COPY_FILE) --parents main.cc usermenu.cc .tmp/scd-usermenu1.0.0/ && (cd `dirname .tmp/scd-usermenu1.0.0` && $(TAR) scd-usermenu1.0.0.tar scd-usermenu1.0.0 && $(COMPRESS) scd-usermenu1.0.0.tar) && $(MOVE) `dirname .tmp/scd-usermenu1.0.0`/scd-usermenu1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/scd-usermenu1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_usermenu.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_usermenu.cpp
moc_usermenu.cpp: usermenu.h
	/usr/bin/moc $(DEFINES) $(INCPATH) usermenu.h -o moc_usermenu.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cc usermenu.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cc

usermenu.o: usermenu.cc usermenu.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o usermenu.o usermenu.cc

moc_usermenu.o: moc_usermenu.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_usermenu.o moc_usermenu.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
shortcutd (0.1.2-1) unstable; urgency=low

  * Added new options

 -- Heikki Holstila <heikki.holstila@gmail.com>  Tue, 22 Jun 2010 12:39:39 +0300

## shortcutd 0.1.3-1

=== usermenu/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: scd-usermenu
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Jun 22 13:41:26 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Jun 22 22:05:01 2010
 # Project:  usermenu.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile usermenu.pro

=== debian/changelog ===
shortcutd (0.1.3-1) unstable; urgency=low

  * Added an option to return to the desktop (thanks to qwerty12)

 -- Heikki Holstila <heikki.holstila@gmail.com>  Tue, 22 Jun 2010 22:03:31 +0300

## shortcutd 0.1.3-2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 all: shortcutd panelplugin/libshortcutdplugin.so
+	cd usermenu; qmake;	$(MAKE)	
 
 CFLAGS=`pkg-config --cflags dbus-glib-1 glib-2.0 hal x11 xtst xi`
 LIBS=`pkg-config --libs dbus-glib-1 glib-2.0 hal x11 xtst xi`
@@ -33,3 +34,5 @@
 
 clean:
 	rm -f *.o *~ shortcutd json/*.o panelplugin/*.o panelplugin/*.so build-stamp configure-stamp
+	$(MAKE) -C usermenu clean
+	rm -f usermenu/scd-usermenu

=== usermenu/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: scd-usermenu
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Tue Jun 22 22:05:01 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Aug 22 19:31:00 2010
 # Project:  usermenu.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile usermenu.pro

=== debian/changelog ===
shortcutd (0.1.3-2) unstable; urgency=low

  * Fixed event (patch from niko.bockerman)

 -- Arek Stopczynski <arek.stopczynski@gmail.com>  Sun, 22 Aug 2010 19:35:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: shortcutd
 Section: user/system
 Priority: optional
-Maintainer: Arek Stopczynski <arek.stopczynski@gmail.com>
-Uploaders: Heikki Holstila <heikki.holstila@gmail.com>
-Homepage: http://shortcutd.garage.maemo.org
-Build-Depends: debhelper (>= 5), libdbus-glib-1-dev, libglib2.0-dev, libhal-dev, libx11-dev, libxtst-dev, libxi-dev, libgtk2.0-dev, hildon-control-panel-dev, libosso-dev, libhildon1-dev
+Maintainer: Arek Stopczynski <arek.stopczynski@gmail.com>, Heikki Holstila <heikki.holstila@gmail.com>
+Build-Depends: debhelper (>= 5), libdbus-glib-1-dev, libglib2.0-dev, libhal-dev, libx11-dev, libxtst-dev, libxi-dev, libgtk2.0-dev, hildon-control-panel-dev, libosso-dev, libhildon1-dev, libqt4-dev
 Standards-Version: 3.7.2
 
 Package: shortcutd
@@ -14,12 +12,11 @@
 Replaces: camkeyd
 XB-Maemo-Display-Name: Shortcutd
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=shortcutd
-Description: Enables the proximity sensor and camera button to be used as shortcuts
- Allows the camera button (focus) and proximity sensor (short and
- long touch) to be used to access dashboard and phone application.
- Useful with fullscreen applications and to quickly access phone.
+Description: Enables the proximity sensor and the camera button to be used as shortcuts
+ Allows the camera button (focus) and the proximity sensor (short and
+ long touch) to be used to access dashboard, phone application and
+ other functions. Useful with fullscreen applications and to quickly access phone.
  Configurable through the device's settings menu.
-XB-Maemo-Upgrade-Description: -New configuration options
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAK3RFWHRDcmVh
  dGlvbiBUaW1lAFNhIDIzIEphbiAyMDEwIDExOjA5OjIyICswMTAwUqPNdwAA

=== debian/rules ===
--- 
+++ 
@@ -64,6 +64,8 @@
 	install -D ./panelplugin/shortcutdplugin.desktop $(CURDIR)/debian/shortcutd$(DESKTOPDIR)/shortcutdplugin.desktop
 	install -D ./panelplugin/shortcutd.png $(CURDIR)/debian/shortcutd$(ICONDIR)/shortcutd.png
 	install -D ./panelplugin/libshortcutdplugin.so $(CURDIR)/debian/shortcutd$(PLUGINDIR)/libshortcutdplugin.so
+	#install -D ./usermenu/scd-usermenu $(CURDIR)/debian/shortcutd/usr/bin/scd-usermenu
+	#install -D ./usermenu/usermenu.conf.default $(CURDIR)/debian/shortcutd/home/user/.shortcutd/usermenu.conf
 	#chmod -x $(CURDIR)/debian/shortcutd/etc/event.d/shortcutd
 
 # Build architecture-independent files here.

## shortcutd 0.1.4-1

=== usermenu/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #############################################################################
 # Makefile for building: scd-usermenu
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Aug 22 19:31:00 2010
+# Generated by qmake (2.01a) (Qt 4.7.0) on: Mon Dec 13 19:24:58 2010
 # Project:  usermenu.pro
 # Template: app
-# Command: /usr/bin/qmake -unix -o Makefile usermenu.pro
+# Command: /usr/bin/qmake -o Makefile usermenu.pro
 #############################################################################
 
 ####### Compiler, tools and options
@@ -15,8 +15,8 @@
 CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
 INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include -I. -I.
 LINK          = g++
-LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
-LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
+LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
+LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake
@@ -51,6 +51,7 @@
 DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
+		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
@@ -101,6 +102,7 @@
 Makefile: usermenu.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
+		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
@@ -117,11 +119,14 @@
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
 		/usr/lib/libQtGui.prl \
+		/usr/lib/libQtDBus.prl \
+		/usr/lib/libQtXml.prl \
 		/usr/lib/libQtCore.prl
-	$(QMAKE) -unix -o Makefile usermenu.pro
+	$(QMAKE) -o Makefile usermenu.pro
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
+/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
@@ -138,9 +143,11 @@
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
 /usr/lib/libQtGui.prl:
+/usr/lib/libQtDBus.prl:
+/usr/lib/libQtXml.prl:
 /usr/lib/libQtCore.prl:
 qmake:  FORCE
-	@$(QMAKE) -unix -o Makefile usermenu.pro
+	@$(QMAKE) -o Makefile usermenu.pro
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/scd-usermenu1.0.0 || $(MKDIR) .tmp/scd-usermenu1.0.0 
@@ -158,6 +165,8 @@
 	-$(DEL_FILE) $(TARGET) 
 	-$(DEL_FILE) Makefile
 
+
+check: first
 
 mocclean: compiler_moc_header_clean compiler_moc_source_clean

=== debian/changelog ===
shortcutd (0.1.4-1) unstable; urgency=low

  * Media Player support (patch by Daniel Klaffenbach)

 -- Arek Stopczynski <arek.stopczynski@gmail.com>  Mon, 13 Dec 2010 19:31:10 +0200
